<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: Customization Points</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('md__home_pi_medienserver_local_app_UILD_DOC_On__deps_googletest_src_googletest_include_gtest_internal_custom_README.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">Customization Points </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p>The custom directory is an injection point for custom user configurations.</p>
<h1><a class="anchor" id="autotoc_md259"></a>
Header &lt;tt&gt;gtest.h&lt;/tt&gt;</h1>
<h2><a class="anchor" id="autotoc_md260"></a>
The following macros can be defined:</h2>
<ul>
<li><code>GTEST_OS_STACK_TRACE_GETTER_</code> - The name of an implementation of <code>OsStackTraceGetterInterface</code>.</li>
<li><code>GTEST_CUSTOM_TEMPDIR_FUNCTION_</code> - An override for <code>testing::TempDir()</code>. See <code>testing::TempDir</code> for semantics and signature.</li>
</ul>
<h1><a class="anchor" id="autotoc_md261"></a>
Header &lt;tt&gt;gtest-port.h&lt;/tt&gt;</h1>
<p>The following macros can be defined:</p>
<h2><a class="anchor" id="autotoc_md262"></a>
Flag related macros:</h2>
<ul>
<li><code>GTEST_FLAG(flag_name)</code></li>
<li><code>GTEST_USE_OWN_FLAGFILE_FLAG_</code> - Define to 0 when the system provides its own flagfile flag parsing.</li>
<li><code>GTEST_DECLARE_bool_(name)</code></li>
<li><code>GTEST_DECLARE_int32_(name)</code></li>
<li><code>GTEST_DECLARE_string_(name)</code></li>
<li><code>GTEST_DEFINE_bool_(name, default_val, doc)</code></li>
<li><code>GTEST_DEFINE_int32_(name, default_val, doc)</code></li>
<li><code>GTEST_DEFINE_string_(name, default_val, doc)</code></li>
</ul>
<h2><a class="anchor" id="autotoc_md263"></a>
Logging:</h2>
<ul>
<li><code>GTEST_LOG_(severity)</code></li>
<li><code>GTEST_CHECK_(condition)</code></li>
<li>Functions <code>LogToStderr()</code> and <code>FlushInfoLog()</code> have to be provided too.</li>
</ul>
<h2><a class="anchor" id="autotoc_md264"></a>
Threading:</h2>
<ul>
<li><code>GTEST_HAS_NOTIFICATION_</code> - Enabled if Notification is already provided.</li>
<li><code>GTEST_HAS_MUTEX_AND_THREAD_LOCAL_</code> - Enabled if <code>Mutex</code> and <code>ThreadLocal</code> are already provided. Must also provide <code>GTEST_DECLARE_STATIC_MUTEX_(mutex)</code> and <code>GTEST_DEFINE_STATIC_MUTEX_(mutex)</code></li>
<li><code>GTEST_EXCLUSIVE_LOCK_REQUIRED_(locks)</code></li>
<li><code>GTEST_LOCK_EXCLUDED_(locks)</code></li>
</ul>
<h2><a class="anchor" id="autotoc_md265"></a>
Underlying library support features</h2>
<ul>
<li><code>GTEST_HAS_CXXABI_H_</code></li>
</ul>
<h2><a class="anchor" id="autotoc_md266"></a>
Exporting API symbols:</h2>
<ul>
<li><code>GTEST_API_</code> - Specifier for exported symbols.</li>
</ul>
<h1><a class="anchor" id="autotoc_md267"></a>
Header &lt;tt&gt;gtest-printers.h&lt;/tt&gt;</h1>
<ul>
<li>See documentation at <code><a class="el" href="gtest-printers_8h_source.html">gtest/gtest-printers.h</a></code> for details on how to define a custom printer. </li>
</ul>
</div></div><!-- contents -->
</div><!-- PageDoc -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
